## proxychains-ng 4.12

=== Makefile ===
#
# Makefile for proxychains (requires GNU make), stolen from musl
#
# Use config.mak to override any of the following variables.
# Do not make changes here.
#

exec_prefix = /usr/local
bindir = $(exec_prefix)/bin

prefix = /usr/local/
includedir = $(prefix)/include
libdir = $(prefix)/lib
sysconfdir=$(prefix)/etc

SRCS = $(sort $(wildcard src/*.c))
OBJS = $(SRCS:.c=.o)
LOBJS = src/nameinfo.o src/version.o \
        src/core.o src/common.o src/libproxychains.o \
        src/allocator_thread.o src/ip_type.o \
        src/hostsreader.o src/hash.o src/debug.o

GENH = src/version.h

CFLAGS  += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
NO_AS_NEEDED = -Wl,--no-as-needed
LIBDL   = -ldl
LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) -lpthread
INC     = 
PIC     = -fPIC
AR      = $(CROSS_COMPILE)ar
RANLIB  = $(CROSS_COMPILE)ranlib

LDSO_SUFFIX = so
LD_SET_SONAME = -Wl,-soname=
INSTALL = ./tools/install.sh

LDSO_PATHNAME = libproxychains4.$(LDSO_SUFFIX)

SHARED_LIBS = $(LDSO_PATHNAME)
ALL_LIBS = $(SHARED_LIBS)
PXCHAINS = proxychains4
ALL_TOOLS = $(PXCHAINS)
ALL_CONFIGS = src/proxychains.conf

-include config.mak

CFLAGS+=$(USER_CFLAGS) $(MAC_CFLAGS)
CFLAGS_MAIN=-DLIB_DIR=\"$(libdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" -DDLL_NAME=\"$(LDSO_PATHNAME)\"


all: $(ALL_LIBS) $(ALL_TOOLS)

install: install-libs install-tools

$(DESTDIR)$(bindir)/%: %
	$(INSTALL) -D -m 755 $< $@

$(DESTDIR)$(libdir)/%: %
	$(INSTALL) -D -m 644 $< $@

$(DESTDIR)$(sysconfdir)/%: src/%
	$(INSTALL) -D -m 644 $< $@

install-libs: $(ALL_LIBS:%=$(DESTDIR)$(libdir)/%)
install-tools: $(ALL_TOOLS:%=$(DESTDIR)$(bindir)/%)
install-config: $(ALL_CONFIGS:src/%=$(DESTDIR)$(sysconfdir)/%)

clean:
	rm -f $(ALL_LIBS)
	rm -f $(ALL_TOOLS)
	rm -f $(OBJS)
	rm -f $(GENH)

src/version.h: $(wildcard VERSION .git)
	printf '#define VERSION "%s"\n' "$$(sh tools/version.sh)" > $@

src/version.o: src/version.h

%.o: %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_MAIN) $(INC) $(PIC) -c -o $@ $<

$(LDSO_PATHNAME): $(LOBJS)
	$(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
		-shared -o $@ $(LOBJS)

$(ALL_TOOLS): $(OBJS)
	$(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)


.PHONY: all clean install install-config install-libs install-tools

=== debian/changelog ===
proxychains-ng (4.12-1) unstable; urgency=low

  * Initial release. Closes: #823128

 -- Boyuan Yang <073plan@gmail.com>  Wed, 27 Sep 2017 18:00:21 +0800

=== debian/control ===
Source: proxychains-ng
Section: net
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 10),
 dh-exec,
Standards-Version: 4.1.0
Homepage: https://github.com/rofl0r/proxychains-ng
Vcs-Git: https://anonscm.debian.org/git/collab-maint/proxychains-ng.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/proxychains-ng.git

Package: proxychains4
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libproxychains4 (= ${binary:Version}),
Description: redirect connections through socks/http proxies
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).

Package: libproxychains4
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: runtime shared library for proxychains-ng
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).
 .
 This package provides the runtime shared library used by proxychains-ng
 program.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

## proxychains-ng 4.13

=== debian/changelog ===
proxychains-ng (4.13-1) unstable; urgency=medium

  * New upstream release.
  * Drop backported patches.
  * Update man page for proxychains4.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 27 Jun 2018 11:18:48 +0800

proxychains-ng (4.12-2) unstable; urgency=medium

  * Backport more patches from upstream trunk.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Bump debhelper compat to v11.
  * d/rules: Use "dh_missing --fail-missing".
  * d/control: Use Salsa repo in Vcs fields.
  * Use Alternatives system to provide /usr/bin/proxychains.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 10 May 2018 14:13:12 +0800

=== debian/control ===
Source: proxychains-ng
Section: net
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 11~),
 dh-exec,
Standards-Version: 4.1.4
Homepage: https://github.com/rofl0r/proxychains-ng
Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng

Package: libproxychains4
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: runtime shared library for proxychains-ng
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).
 .
 This package provides the runtime shared library used by proxychains-ng
 program.

Package: proxychains4
Architecture: any
Provides:
 proxychains,
Breaks:
 proxychains (<< 3.1-8),
Replaces:
 proxychains,
Depends:
 libproxychains4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: redirect connections through socks/http proxies
 Proxychains is a UNIX program, that hooks network-related libc functions
 in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
 and redirects the connections through SOCKS4a/5 or HTTP proxies.
 It supports TCP only (no UDP/ICMP etc).
 .
 This project, proxychains-ng, is the continuation of the unmaintained
 proxychains project (known as proxychains package in Debian).

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing

## proxychains-ng 4.14

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 PIC     = -fPIC
 AR      = $(CROSS_COMPILE)ar
 RANLIB  = $(CROSS_COMPILE)ranlib
+SOCKET_LIBS =
 
 LDSO_SUFFIX = so
 LD_SET_SONAME = -Wl,-soname=
@@ -82,7 +83,7 @@
 
 $(LDSO_PATHNAME): $(LOBJS)
 	$(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
-		-shared -o $@ $(LOBJS)
+		-shared -o $@ $(LOBJS) $(SOCKET_LIBS)
 
 $(ALL_TOOLS): $(OBJS)
 	$(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)

=== debian/changelog ===
proxychains-ng (4.14-3) unstable; urgency=medium

  * debian/proxychains4.1: Update .TH command line (title line)
    to make it consistent with conventions from man-pages(7).
  * debian/upstream/metadata: Add information about upstream
    repository and issue tracker.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Apr 2020 11:30:11 -0400

proxychains-ng (4.14-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.5.0.
  * debian/proxychains4.1: Clarify the configuration file search
    priority in the man page.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 Mar 2020 11:27:00 -0400

proxychains-ng (4.14-1) unstable; urgency=medium

  * New upstream release 4.14.
  * debian/patches: Drop all patches merged upstream.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jul 2019 11:04:08 -0400

proxychains-ng (4.13-4) unstable; urgency=medium

  * Rebuild for Debian Buster.
  * debian/patches: Backport upstream trunk commits till 2019-02-28.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:10:20 -0500

proxychains-ng (4.13-3) unstable; urgency=medium

  * debian/control: Make proxychains4 provides proxychains-ng.
  * debian/control: Mention proxychains-ng in package description.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Oct 2018 09:47:56 -0400

proxychains-ng (4.13-2) unstable; urgency=medium

  * debian/patches: Backport upstream patches till 2018-08-26.
  * debian/control:
    + Bump Standards-Version to 4.2.1.
    + Update Maintainer field and use @debian.org email address.
  * debian/rules: Avoid explicit invocation to dpkg-architecture.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Oct 2018 14:49:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: proxychains-ng
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-exec,
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
@@ -33,6 +34,7 @@
 Architecture: any
 Provides:
  proxychains,
+ proxychains-ng,
 Breaks:
  proxychains (<< 3.1-8),
 Replaces:
@@ -41,7 +43,7 @@
  libproxychains4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: redirect connections through socks/http proxies
+Description: redirect connections through socks/http proxies (proxychains-ng)
  Proxychains is a UNIX program, that hooks network-related libc functions
  in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)
  and redirects the connections through SOCKS4a/5 or HTTP proxies.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%proxychains-ng-$1.tar.gz%" \
 https://github.com/rofl0r/proxychains-ng/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## proxychains-ng 4.15

=== debian/changelog ===
proxychains-ng (4.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Also export buildflags while building.
  * debian/control: Bump to debhelper compat v13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Sep 2021 16:50:57 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-exec,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng

## proxychains-ng 4.16

=== Makefile ===
--- 
+++ 
@@ -13,19 +13,23 @@
 libdir = $(prefix)/lib
 sysconfdir=$(prefix)/etc
 
-SRCS = $(sort $(wildcard src/*.c))
-OBJS = $(SRCS:.c=.o)
-LOBJS = src/nameinfo.o src/version.o \
+OBJS = src/common.o src/main.o
+
+DOBJS = src/daemon/hsearch.o \
+        src/daemon/sblist.o src/daemon/sblist_delete.o \
+        src/daemon/daemon.o src/daemon/udpserver.o
+
+LOBJS = src/version.o \
         src/core.o src/common.o src/libproxychains.o \
-        src/allocator_thread.o src/ip_type.o \
+        src/allocator_thread.o src/rdns.o \
         src/hostsreader.o src/hash.o src/debug.o
+
 
 GENH = src/version.h
 
 CFLAGS  += -Wall -O0 -g -std=c99 -D_GNU_SOURCE -pipe
 NO_AS_NEEDED = -Wl,--no-as-needed
-LIBDL   = -ldl
-LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) -lpthread
+LDFLAGS = -fPIC $(NO_AS_NEEDED) $(LIBDL) $(PTHREAD)
 INC     = 
 PIC     = -fPIC
 AR      = $(CROSS_COMPILE)ar
@@ -41,7 +45,8 @@
 SHARED_LIBS = $(LDSO_PATHNAME)
 ALL_LIBS = $(SHARED_LIBS)
 PXCHAINS = proxychains4
-ALL_TOOLS = $(PXCHAINS)
+PXCHAINS_D = proxychains4-daemon
+ALL_TOOLS = $(PXCHAINS) $(PXCHAINS_D)
 ALL_CONFIGS = src/proxychains.conf
 
 -include config.mak
@@ -70,7 +75,7 @@
 clean:
 	rm -f $(ALL_LIBS)
 	rm -f $(ALL_TOOLS)
-	rm -f $(OBJS)
+	rm -f $(OBJS) $(LOBJS) $(DOBJS)
 	rm -f $(GENH)
 
 src/version.h: $(wildcard VERSION .git)
@@ -83,10 +88,13 @@
 
 $(LDSO_PATHNAME): $(LOBJS)
 	$(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
-		-shared -o $@ $(LOBJS) $(SOCKET_LIBS)
+		-shared -o $@ $^ $(SOCKET_LIBS)
 
-$(ALL_TOOLS): $(OBJS)
-	$(CC) src/main.o src/common.o $(USER_LDFLAGS) -o $(PXCHAINS)
+$(PXCHAINS): $(OBJS)
+	$(CC) $^ $(USER_LDFLAGS) $(LIBDL) -o $@
+
+$(PXCHAINS_D): $(DOBJS)
+	$(CC) $^ $(USER_LDFLAGS) -o $@
 
 
 .PHONY: all clean install install-config install-libs install-tools

=== debian/changelog ===
proxychains-ng (4.16-2) unstable; urgency=medium

  * debian/patches/0003-Add-hook-to-close_range: Backport patch
    to fix compatibility with linux 5.9+ and glibc 2.34+ by hooking
    close_range() function as well. (LP: #1974058)

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jun 2022 14:08:52 -0400

proxychains-ng (4.16-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release 4.16.

 -- Boyuan Yang <byang@debian.org>  Sat, 29 Jan 2022 23:13:39 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  dh-exec,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/default.mk

%:
	dh $@

## proxychains-ng 4.17

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
 prefix = /usr/local/
 includedir = $(prefix)/include
 libdir = $(prefix)/lib
-sysconfdir=$(prefix)/etc
+sysconfdir = $(prefix)/etc
+zshcompletiondir = $(prefix)/share/zsh/site-functions
 
 OBJS = src/common.o src/main.o
 
@@ -48,6 +49,7 @@
 PXCHAINS_D = proxychains4-daemon
 ALL_TOOLS = $(PXCHAINS) $(PXCHAINS_D)
 ALL_CONFIGS = src/proxychains.conf
+ZSH_COMPLETION = completions/zsh/_proxychains4
 
 -include config.mak
 
@@ -68,9 +70,13 @@
 $(DESTDIR)$(sysconfdir)/%: src/%
 	$(INSTALL) -D -m 644 $< $@
 
+$(DESTDIR)$(zshcompletiondir)/%: completions/zsh/%
+	$(INSTALL) -D -m 644 $< $@
+
 install-libs: $(ALL_LIBS:%=$(DESTDIR)$(libdir)/%)
 install-tools: $(ALL_TOOLS:%=$(DESTDIR)$(bindir)/%)
 install-config: $(ALL_CONFIGS:src/%=$(DESTDIR)$(sysconfdir)/%)
+install-zsh-completion: $(ZSH_COMPLETION:completions/zsh/%=$(DESTDIR)$(zshcompletiondir)/%)
 
 clean:
 	rm -f $(ALL_LIBS)
@@ -87,14 +93,14 @@
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(CFLAGS_MAIN) $(INC) $(PIC) -c -o $@ $<
 
 $(LDSO_PATHNAME): $(LOBJS)
-	$(CC) $(LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) $(USER_LDFLAGS) \
-		-shared -o $@ $^ $(SOCKET_LIBS)
+	$(CC) $(LDFLAGS) $(FAT_LDFLAGS) $(LD_SET_SONAME)$(LDSO_PATHNAME) \
+		$(USER_LDFLAGS) -shared -o $@ $^ $(SOCKET_LIBS)
 
 $(PXCHAINS): $(OBJS)
-	$(CC) $^ $(USER_LDFLAGS) $(LIBDL) -o $@
+	$(CC) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) $(LIBDL) -o $@
 
 $(PXCHAINS_D): $(DOBJS)
-	$(CC) $^ $(USER_LDFLAGS) -o $@
+	$(CC) $^ $(FAT_BIN_LDFLAGS) $(USER_LDFLAGS) -o $@
 
 
-.PHONY: all clean install install-config install-libs install-tools
+.PHONY: all clean install install-config install-libs install-tools install-zsh-completion

=== debian/changelog ===
proxychains-ng (4.17-3) unstable; urgency=medium

  * New maintainer.(Closes: #1093571)
  * Thanks to Boyuan Yang, the last maintainer.
  * debian/control: added myself as a new maintainer.
  * debian/copyright: added packaging rights for me.
  * debian/watch: updated.

 -- Thiago Andrade Marques <andrade@debian.org>  Mon, 20 Jan 2025 10:50:44 -0300

proxychains-ng (4.17-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093571)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 18:55:02 -0500

proxychains-ng (4.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0003: Dropped, merged upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jan 2024 09:59:04 -0500

proxychains-ng (4.16-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Export CC for non-autoconf configure. (Closes: #1059721)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Jan 2024 15:26:29 -0500

proxychains-ng (4.16-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/clean: Manually clean config.mak file generated during
    build. (Closes: #1045246)

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Aug 2023 15:36:31 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: proxychains-ng
 Section: net
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- dh-exec,
+Maintainer: Thiago Andrade Marques <andrade@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/rofl0r/proxychains-ng
 Vcs-Git: https://salsa.debian.org/debian/proxychains-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/proxychains-ng
@@ -15,9 +14,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: runtime shared library for proxychains-ng
  Proxychains is a UNIX program, that hooks network-related libc functions
  in dynamically linked programs via a preloaded DLL (dlsym(), LD_PRELOAD)

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,12 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND =
 
-export DPKG_EXPORT_BUILDFLAGS = 1
+# buildtools for cross-compilation: https://bugs.debian.org/1059721
+DPKG_EXPORT_BUILDFLAGS = 1
+DPKG_EXPORT_BUILDTOOLS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/buildtools.mk
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%proxychains-ng-$1.tar.gz%" \
https://github.com/rofl0r/proxychains-ng/tags  .*/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
